#pragma once

#include "CoreMinimal.h"
#include "K31SurvivorTraceInformationThisFrame.generated.h"

USTRUCT(BlueprintType)
struct FK31SurvivorTraceInformationThisFrame
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	int32 TotalTraces;

	UPROPERTY(BlueprintReadWrite, Transient)
	int32 CompletedTraces;

	UPROPERTY(BlueprintReadWrite, Transient)
	int32 CompletedTracesWithLoS;

public:
	THEK31_API FK31SurvivorTraceInformationThisFrame();
};

FORCEINLINE uint32 GetTypeHash(const FK31SurvivorTraceInformationThisFrame) { return 0; }
